Bug 1118920 - engine serves only English docs when other locales are installed
Summary: engine serves only English docs when other locales are installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.1
Assignee: Alexander Wels
QA Contact: Jiri Belka
URL:
Whiteboard: ux
Depends On: 1116416
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 23:06 UTC by rhev-integ
Modified: 2014-07-29 16:24 UTC (History)
11 users (show)

Fixed In Version: org.ovirt.engine-root-3.4.0-30
Doc Type: Bug Fix
Doc Text:
Previously, after installing the Japanese documentation, clicking the link for the Japanese admin guide was wrongly redirecting to the English copy. Now this problem has been fixed and the link for the Japanese admin guide works as expected.
Clone Of: 1116416
Environment:
Last Closed: 2014-07-29 16:24:49 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0960 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.4.1 2014-07-29 20:23:10 UTC
oVirt gerrit 29585 None None None Never
oVirt gerrit 30037 ovirt-engine-3.4 MERGED userportal, webadmin: fixed a bug in non-English docs serving Never

Comment 5 Jiri Belka 2014-07-16 15:27:43 UTC
It doesn't work for me.

~~~
Japanese のドキュメントはインストールされていないようです。 適切なドキュメントをインストールするよう、管理者に依頼してください。

英語版のドキュメントはこちらをクリックしてください。 このメッセージはセッションごとに 1 回のみ表示されます。
~~~

~~~
10.34.131.48 - - [16/Jul/2014:17:20:54 +0200] "GET /ovirt-engine/docs/manual/ja_JP/html/Administration_Guide/index.html HTTP/1.1" 302 20
10.34.131.48 - - [16/Jul/2014:17:20:54 +0200] "GET /ovirt-engine/docs/manual/en-US/html/Administration_Guide/index.html HTTP/1.1" 200 6310
~~~

302 - moved temporarily thus opening english guide later:

# rpm -qa rhevm\*
rhevm-lib-3.4.1-0.28.el6ev.noarch
rhevm-restapi-3.4.1-0.28.el6ev.noarch
rhevm-log-collector-3.4.1-1.el6ev.noarch
rhevm-reports-3.4.1-2.el6ev.noarch
rhevm-image-uploader-3.4.1-1.el6ev.noarch
rhevm-setup-plugin-websocket-proxy-3.4.1-0.28.el6ev.noarch
rhevm-3.4.1-0.28.el6ev.noarch
rhevm-sdk-python-3.4.1.1-1.el6ev.noarch
rhevm-reports-setup-3.4.1-2.el6ev.noarch
rhevm-doc-ja-JP-3.4.0-0.el6eng.noarch
rhevm-setup-plugin-ovirt-engine-common-3.4.1-0.28.el6ev.noarch
rhevm-userportal-3.4.1-0.28.el6ev.noarch
rhevm-backend-3.4.1-0.28.el6ev.noarch
rhevm-setup-plugins-3.4.0-3.el6ev.noarch
rhevm-branding-rhev-3.4.0-2.el6ev.noarch
rhevm-guest-agent-common-1.0.9-5.el6ev.noarch
rhevm-dwh-setup-3.4.1-1.el6ev.noarch
rhevm-cli-3.4.0.6-4.el6ev.noarch
rhevm-spice-client-x86-msi-3.4-4.el6_5.noarch
rhevm-spice-client-x64-msi-3.4-4.el6_5.noarch
rhevm-setup-plugin-ovirt-engine-3.4.1-0.28.el6ev.noarch
rhevm-websocket-proxy-3.4.1-0.28.el6ev.noarch
rhevm-dbscripts-3.4.1-0.28.el6ev.noarch
rhevm-dependencies-3.4.1-1.el6ev.noarch
rhevm-doc-3.4.0-7.el6eng.noarch
rhevm-dwh-3.4.1-1.el6ev.noarch
rhevm-spice-client-x64-cab-3.4-4.el6_5.noarch
rhevm-spice-client-x86-cab-3.4-4.el6_5.noarch
rhevm-setup-3.4.1-0.28.el6ev.noarch
rhevm-webadmin-portal-3.4.1-0.28.el6ev.noarch
rhevm-setup-base-3.4.1-0.28.el6ev.noarch
rhevm-tools-3.4.1-0.28.el6ev.noarch
rhevm-iso-uploader-3.4.1-2.el6ev.noarch

Comment 6 Eyal Edri 2014-07-17 07:48:39 UTC
av10.2 hasn't been released yet to QA. 
the errata moved this bug to on_qa unfourtunately, but fixed wasn't delivered yet.
moving back to MODIFIED until we'll release the respin.

Comment 7 Jiri Belka 2014-07-21 12:33:22 UTC
ok, av10.3 - rhevm-webadmin-portal-3.4.1-0.30.el6ev.noarch

Comment 9 errata-xmlrpc 2014-07-29 16:24:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0960.html


Note You need to log in before you can comment on or make changes to this bug.